Subject: Re: bug#64859: 30.0.50; Eglot: codeAction.resolveSupport capability is incorrect

From: João Távora <[email-masked]>
Date: Fri, 2 Feb 2024 09:13:40 +0000

On Fri, Feb 2, 2024 at 7:33 AM Stefan Kangas <[email-masked]> wrote:
>
> Matan Peled <[email-masked]> writes:
>
> > I'm using a recent snapshot build.
> >
> > When trying to use Eglot on Rust code (with the rust-analyzer LSP
> > server), it crashes complaining about the InitializationOptions message
> > being misformed.
> >
> > This is due to this commit:
> > https://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/progmodes/eglot.el?id=3b7273f4ae3623962c5d5fdc922a62af1136f448
> >
> > resolveSupport is supposed to be a list, not a boolean, see here:
> > https://microsoft.github.io/language-server-protocol/specifications/lsp/3.17/specification/#textDocument_codeAction
> >
> > I'm not sure what properties Eglot supports here, so I'm not certain on
> > what the correction should be.
>
> João, any comments here?

I think this was already fixed by:

commit bc1e7b9b8e681346e407c4dc32272a0bf4decd68
Author: João Távora <[email-masked]>
Date:   Wed Jul 12 10:11:34 2023 +0100

    Eglot: fix advertisement of textDocument.codeAction.resolveSupport

    See https://github.com/joaotavora/eglot/issues/1255.

    * lisp/progmodes/eglot.el (eglot-client-capabilities):
    Use correct format for textDocument.codeAction.resolveSupport.

I just didn't mention the debbugs id.

João